# HG changeset patch
# Parent  2f6848814e69c82931e58a03bf04fbd212398893
AP5 compilation process has problems

<https://abcl.org/trac/ticket/463>


<https://mailman.common-lisp.net/pipermail/armedbear-devel/2019-March/003967.html>

diff -r 2f6848814e69 src/org/armedbear/lisp/dump-form.lisp
--- a/src/org/armedbear/lisp/dump-form.lisp	Fri Mar 29 15:09:05 2019 +0100
+++ b/src/org/armedbear/lisp/dump-form.lisp	Fri Mar 29 17:18:35 2019 +0100
@@ -169,13 +169,19 @@
 
 (declaim (ftype (function (symbol) integer) dump-uninterned-symbol-index))
 (defun dump-uninterned-symbol-index (symbol)
+  ;;; HACK Convert vector form to assoc list
+  (when (vectorp *fasl-uninterned-symbols*)
+    (setq *fasl-uninterned-symbols*
+          (loop
+             :for index :upfrom 0
+             :for symbol :across *fasl-uninterned-symbols*
+               :collecting (cons symbol index))))
   (let ((index (cdr (assoc symbol *fasl-uninterned-symbols*))))
     (unless index
       (setq index (1+ (or (cdar *fasl-uninterned-symbols*) -1)))
       (setq *fasl-uninterned-symbols*
             (acons symbol index *fasl-uninterned-symbols*)))
     index))
-
 (declaim (ftype (function (pathname stream) t) dump-pathname))
 (defun dump-pathname (pathname stream)
   (write-string "#P(" stream)
